Priority: Normal

Assignee: Nyall Dawson

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16758

Description

QGIS composer's image item has broken transparency support when displaying a vector svg file. The transparency value is applied to

each individual svg objects (polygons and paths) instead of the overall resulting image. This effectively makes it so that svg-based images

can't be used if transparency is needed.

I'm attaching an SVG file that shows this issue quite well, as well as screenshot.

Associated revisions

Revision b992e871 - 2017-12-17 05:14 AM - Nyall Dawson

[layouts][FEATURE] Don't force the whole layout to be rasterized

when exporting to PDF

If an individual layout item needs rasterisation in order to

be exported correctly, it can now be individually rasterised

without forcing every other item to also be rasterised.

This allows exports to PDF keeping as much as possible as vectors,

e.g. a map with layer opacity won't force labels, scalebars, etc

to be rasterised too.

To accompany this, a new "Always export as vectors" checkbox

was added to layout properties. If checked, this will force

the export to keep items as vectors, even when it causes the

output to look different to layouts.

Fixes #7885

History

#1 - 2013-05-23 11:57 AM - Giovanni Manghi

if this is a new feature (the transparency of a composer image) that is not working as expected, then it should be tagged as blocker. Cheers!

#2 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#3 - 2017-12-17 10:28 PM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|b992e871ee1d51e78f4fe337ed3ec2cc288cd0af.

#4 - 2018-02-22 11:53 AM - Giovanni Manghi

- Resolution set to fixed/implemented

- Description updated
